Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

List recipient companies that were added/removed since a previous request

GET
/v2/tenant/{tenantKey}/company/diff/{diffId}
curl --request GET \
--url https://sender.api.kivra.com/v2/tenant/example/company/diff/3831CD15163421134211695294 \
--header 'Authorization: Bearer <token>'

NOTE: Access to this resource might be enabled via agreement.

This resource is used to list companies that were added/removed since diffId was obtained, either from an initial request to the /v2/tenant/{tenantKey}/company endpoint, or from a subsequent request to this endpoint. Note that all diffIds that are obtained in a series of requests expire 31 days after the initial request. Therefore, API users must fetch the complete company list at least once every 31 days.

  • oAuth2Client
    get:kivra.v1.tenant.{tenantKey}.user.diff.{diffId}
tenantKey
required
string format: hexadecimal

The unique Key for a Tenant

diffId
required
string
Example
3831CD15163421134211695294

ID that was returned in header in a previous request and is used to calculate which companies have been added/removed between then and now

Lists of added/removed companies

Media typeapplication/json
object
added

List of added users

Array<object>
object
vatnr
VatNumber

A Swedish VAT number (“momsregistreringsnummer”).

string
/^SE[0-9]{10}01$/
removed

List of removed users

Array<object>
object
vatnr
VatNumber

A Swedish VAT number (“momsregistreringsnummer”).

string
/^SE[0-9]{10}01$/
Example
{
"added": [
{
"vatnr": "SE556000475501"
}
],
"removed": [
{
"vatnr": "SE556000475501"
}
]
}
diff-id
string
Example
3831CD15163421134211695294

An ID that can be used in a subsequent request to /v2/tenant/{tenantKey}/company/diff/{diffId} to fetch companies that were added/removed since diffId was obtained

The diffId does not exist (potentially because it has expired).